Bug 254906 - net/py-speedtest-cli: Update to 2.1.3
Summary: net/py-speedtest-cli: Update to 2.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 06:53 UTC by Li-Wen Hsu
Modified: 2021-04-12 16:13 UTC (History)
2 users (show)

See Also:
swills: merge-quarterly+


Attachments
0001-net-speedtest-cli-Update-to-2.1.3.patch (1.48 KB, patch)
2021-04-09 06:53 UTC, Li-Wen Hsu
no flags Details | Diff
0001-net-py-speedtest-cli-Update-to-2.1.3.patch (1.49 KB, patch)
2021-04-09 06:55 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2021-04-09 06:53:44 UTC
Created attachment 223938 [details]
0001-net-speedtest-cli-Update-to-2.1.3.patch
Comment 1 Li-Wen Hsu freebsd_committer 2021-04-09 06:55:18 UTC
Created attachment 223939 [details]
0001-net-py-speedtest-cli-Update-to-2.1.3.patch
Comment 2 Li-Wen Hsu freebsd_committer 2021-04-09 06:56:04 UTC
Current 2.1.2 version has some error on executing:

Retrieving speedtest.net configuration...
Traceback (most recent call last):
  File "/usr/local/bin/speedtest", line 11, in <module>
    load_entry_point('speedtest-cli==2.1.2', 'console_scripts', 'speedtest')()
  File "/usr/local/lib/python3.7/site-packages/speedtest.py", line 1986, in main
    shell()
  File "/usr/local/lib/python3.7/site-packages/speedtest.py", line 1875, in shell
    secure=args.secure
  File "/usr/local/lib/python3.7/site-packages/speedtest.py", line 1091, in __init__
    self.get_config()
  File "/usr/local/lib/python3.7/site-packages/speedtest.py", line 1174, in get_config
    map(int, server_config['ignoreids'].split(','))
ValueError: invalid literal for int() with base r10: ''
Comment 3 tech-lists 2021-04-10 17:49:22 UTC
(In reply to Li-Wen Hsu from comment #1)

Can confirm this patch works, thank you

(tested on stable/13, both amd64 and arm64, very recent ports tree update)
Comment 4 commit-hook freebsd_committer 2021-04-12 15:05:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ee9e5cfd9328ecd7cc0aec2db0c0e8c086ade442

commit ee9e5cfd9328ecd7cc0aec2db0c0e8c086ade442
Author:     Nicola Vitale <nivit@FreeBSD.org>
AuthorDate: 2021-04-12 14:50:43 +0000
Commit:     Nicola Vitale <nivit@FreeBSD.org>
CommitDate: 2021-04-12 14:58:15 +0000

    net/py-speedtest-cli: update to 2.1.3

    Changes:  https://github.com/sivel/speedtest-cli/releases/tag/v2.1.3
    PR: 254906
    Submitted by: lwhsu

 net/py-speedtest-cli/Makefile | 4 ++--
 net/py-speedtest-cli/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 5 Nicola Vitale freebsd_committer 2021-04-12 16:11:52 UTC
Committed. Thank you for the PR!
Comment 6 Steve Wills freebsd_committer 2021-04-12 16:13:49 UTC
(In reply to Nicola Vitale from comment #5)
Please MFH this to 2021Q2.